.booksPage {
  background-color: wheat;
  height: 100vh;
  overflow-y: scroll;
}

.books {
  margin: 60px auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding: 15px;
  max-width: 1024px;
}

.bookCard {
  display: flex;
  flex-direction: column;
  box-sizing: content-box;
  height: auto;
  width: 225px;
  align-items: center;
  padding: 25px;
  margin: 10px;
  -webkit-box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  border-radius: 15px;
  position: relative;
  background-color: rgb(238, 238, 238);
}

.bookCardImg {
  margin-bottom: 10px !important;
  border-radius: 18px;
  -webkit-box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
}

.bookCardImg:hover {
  transform: scale(1.05);
  transition: all ease 1.3s;
}

.bookCardBookDetails {
  display: flex;
  flex-direction: column;
  align-self: flex-start;
}

.bookCardTitle {
  word-wrap: break-word;
  font-weight: 600;
  font-size: 16px;
  text-transform: uppercase;
  text-align: left;
}

.bookCardAuthor {
  color: rgb(141, 140, 140);
  font-size: 14px;
  font-weight: 900;
  text-align: left;
  text-transform: uppercase;
}

.bookCardCategory {
  display: flex;
  align-self: flex-start;
  flex-wrap: wrap;
}

.bookCardCategory p {
  padding: 2px 8px;
  background-color: lightgray;
  color: rgb(42, 42, 42);
  font-weight: 600;
  margin: 5px 5px 5px 0;
  border-radius: 5px;
}

@media screen and (max-width: 768px) {
  .books {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
}
